%define fversion 20150609
%define major 1
%define pname libnatpmp
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           natpmp
Version:        1.0
Release:        %mkrel 2
Summary:        Library of The NAT Port Mapping Protocol (NAT-PMP)
License:        LGPLv2+
Group:			System/Libraries
URL:            http://miniupnp.free.fr/libnatpmp.html
Source0:        http://miniupnp.free.fr/files/%{pname}-%{fversion}.tar.xz
Source1:		libnatpmp.pc
Patch0:			libnatpmp-20150609-1bl1.src.patch
Provides:		natpmp
Requires:		libnatpmp1

%description
natpmp executable

%package -n	%{libname}
Summary:		library of natpmp
Group:			System/Libraries
Provides:		libnatpmp = %{version}-%{release} 

%description -n	%{libname}
libnatpmp is an attempt to make a portable and fully compliant implementation
of the protocol for the client side. It is based on non blocking sockets and
all calls of the API are asynchronous. It is therefore very easy to integrate
the NAT-PMP code to any event driven code.

%package -n	%{develname}
Summary:        Development files for %{name}
Group:			Development/Libraries
Requires:       %{name}
Provides:		pkgconfig(libnatpmp)

%description -n	%{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{pname}-%{fversion}

%build
%make CFLAGS="-fPIC -Wall -DENABLE_STRNATPMPERR %{optflags}" EXTRA_LD="%{?__global_ldflags}"

%install
rm -rf %buildroot
make install INSTALL="install -p" PREFIX=%{buildroot} INSTALLDIRLIB="%{buildroot}%{_libdir}"
###find %{buildroot} -name '*.a' -delete -print
find %{buildroot} -name '*.so' -exec chmod 755 {} ";" -print

mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -m 0644 %SOURCE1 %{buildroot}%{_libdir}/pkgconfig/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/natpmpc

%files -n %{libname}
%doc LICENSE
%{_libdir}/libnatpmp.so.%{major}

%files -n %{develname}
%doc Changelog.txt README
%{_libdir}/libnatpmp.so
%{_libdir}/libnatpmp.a
%{_includedir}/natpmp.h
%{_libdir}/pkgconfig/libnatpmp.pc

%changelog
* Sat Jan 14 2017 adrianomorselli <adrianomorselli> 1.0-2uplos2017
- rebuild

* Thu Dec 01 2016 bb <bb> 1.0-2pclos2016
- rebuild

* Sat Nov 19 2016 onkelho <oh.quait at t-online.de> 1.0-1pclos2016
- add patch0 + libnatpmp.pc

* Thu Oct 12 2016 onkelho <oh.quait at gmail.com>  20150609-1pclos2016
- imported from fed
 

